package com.njcn.device.biz.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;


/**
 * @author hongawen
 */

@Getter
@AllArgsConstructor
public enum RunFlagEnum {

    RUNNING(0, "投运"),
    CHECK(1, "检修"),
    STOP(2, "停运"),
    TEST(3, "调试"),
    QUIT(4, "退运"),


    POWER_FLAG(0,"电网侧"),
    NO_POWER_FLAG(1,"非电网侧"),


    GW_FLAG(0,"主网"),
    PW_FLAG(1,"配网"),

    I_SORT(1,"I类测点"),
    II_SORT(2,"II类测点"),
    III_SORT(3,"III类测点"),

    ;

    /**
     * 状态
     */
    private final Integer status;
    /**
     * 描述
     */
    private final String desc;

}
